/**
 * @since 1.0.0
 */
import { CodeDeployClient } from "@aws-sdk/client-codedeploy";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { CodeDeployClientInstanceConfig } from "./CodeDeployClientInstanceConfig";
declare const CodeDeployClientInstance_base: Context.TagClass<CodeDeployClientInstance, "@effect-aws/client-codedeploy/CodeDeployClientInstance", CodeDeployClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class CodeDeployClientInstance extends CodeDeployClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeCodeDeployClientInstance: Effect.Effect<CodeDeployClient, never, import("effect/Scope").Scope | CodeDeployClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const CodeDeployClientInstanceLayer: Layer.Layer<CodeDeployClientInstance, never, CodeDeployClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultCodeDeployClientInstanceLayer: Layer.Layer<CodeDeployClientInstance, never, never>;
export {};
